# Fluid Documentation

<!-- markdownlint-disable MD007 -->
<!-- markdownlint-disable MD032 -->

## TOC

+ 用户文档
  - [概述](userguide/overview.md)
  - [快速上手](userguide/get_started.md)
  - [安装](userguide/install.md)
  - [问题诊断](userguide/troubleshooting.md)
+ 示例
  - [数据加速（通过POSIX接口访问）](samples/accelerate_data_accessing.md)
  - [数据加速（通过HDFS接口访问）](samples/accelerate_data_accessing_by_hdfs.md)
  - [使用参数加密](samples/use_encryptoptions.md)
  - [数据亲和性调度](samples/data_co_locality.md)
  - [数据容忍污点调度](samples/data_toleration.md)
  - [Fuse客户端全局部署](samples/fuse_affinity.md)
  - [机器学习](samples/machinelearning.md)
  - [主机目录加速](samples/hostpath.md)
  - [数据卷加速](samples/accelerate_pvc.md)
  - [以non-root用户身份使用Fluid](samples/nonroot_access.md)
  - [数据预加载](samples/data_warmup.md)
  - [Alluxio分层存储配置](samples/tieredstore_config.md)
  - [Dataset手动扩缩容](samples/dataset_scaling.md)
+ 运维指南
  - [运行时监控](operation/monitoring.md)
+ 开发者指南
  - [如何参与开发](dev/how_to_develop.md)
  - [API_Doc](dev/api_doc.md)
  - [JVM性能分析](dev/profiling.md)
  - [如何增加新Runtime实现](dev/runtime_dev_guide.md)
